Annotation of embedaddon/curl/docs/libcurl/Makefile.in, revision 1.1.1.1
1.1 misho 1: # Makefile.in generated by automake 1.16.2 from Makefile.am.
2: # @configure_input@
3:
4: # Copyright (C) 1994-2020 Free Software Foundation, Inc.
5:
6: # This Makefile.in is free software; the Free Software Foundation
7: # gives unlimited permission to copy and/or distribute it,
8: # with or without modifications, as long as this notice is preserved.
9:
10: # This program is distributed in the hope that it will be useful,
11: # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12: # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13: # PARTICULAR PURPOSE.
14:
15: @SET_MAKE@
16:
17: #***************************************************************************
18: # _ _ ____ _
19: # Project ___| | | | _ \| |
20: # / __| | | | |_) | |
21: # | (__| |_| | _ <| |___
22: # \___|\___/|_| \_\_____|
23: #
24: # Copyright (C) 1998 - 2018, Daniel Stenberg, <daniel@haxx.se>, et al.
25: #
26: # This software is licensed as described in the file COPYING, which
27: # you should have received as part of this distribution. The terms
28: # are also available at https://curl.haxx.se/docs/copyright.html.
29: #
30: # You may opt to use, copy, modify, merge, publish, distribute and/or sell
31: # copies of the Software, and permit persons to whom the Software is
32: # furnished to do so, under the terms of the COPYING file.
33: #
34: # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
35: # KIND, either express or implied.
36: #
37: ###########################################################################
38:
39: #***************************************************************************
40: # _ _ ____ _
41: # Project ___| | | | _ \| |
42: # / __| | | | |_) | |
43: # | (__| |_| | _ <| |___
44: # \___|\___/|_| \_\_____|
45: #
46: # Copyright (C) 2008 - 2020, Daniel Stenberg, <daniel@haxx.se>, et al.
47: #
48: # This software is licensed as described in the file COPYING, which
49: # you should have received as part of this distribution. The terms
50: # are also available at https://curl.haxx.se/docs/copyright.html.
51: #
52: # You may opt to use, copy, modify, merge, publish, distribute and/or sell
53: # copies of the Software, and permit persons to whom the Software is
54: # furnished to do so, under the terms of the COPYING file.
55: #
56: # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
57: # KIND, either express or implied.
58: #
59: ###########################################################################
60:
61: # Shared between Makefile.am and CMakeLists.txt
62:
63: VPATH = @srcdir@
64: am__is_gnu_make = { \
65: if test -z '$(MAKELEVEL)'; then \
66: false; \
67: elif test -n '$(MAKE_HOST)'; then \
68: true; \
69: elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
70: true; \
71: else \
72: false; \
73: fi; \
74: }
75: am__make_running_with_option = \
76: case $${target_option-} in \
77: ?) ;; \
78: *) echo "am__make_running_with_option: internal error: invalid" \
79: "target option '$${target_option-}' specified" >&2; \
80: exit 1;; \
81: esac; \
82: has_opt=no; \
83: sane_makeflags=$$MAKEFLAGS; \
84: if $(am__is_gnu_make); then \
85: sane_makeflags=$$MFLAGS; \
86: else \
87: case $$MAKEFLAGS in \
88: *\\[\ \ ]*) \
89: bs=\\; \
90: sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
91: | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
92: esac; \
93: fi; \
94: skip_next=no; \
95: strip_trailopt () \
96: { \
97: flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
98: }; \
99: for flg in $$sane_makeflags; do \
100: test $$skip_next = yes && { skip_next=no; continue; }; \
101: case $$flg in \
102: *=*|--*) continue;; \
103: -*I) strip_trailopt 'I'; skip_next=yes;; \
104: -*I?*) strip_trailopt 'I';; \
105: -*O) strip_trailopt 'O'; skip_next=yes;; \
106: -*O?*) strip_trailopt 'O';; \
107: -*l) strip_trailopt 'l'; skip_next=yes;; \
108: -*l?*) strip_trailopt 'l';; \
109: -[dEDm]) skip_next=yes;; \
110: -[JT]) skip_next=yes;; \
111: esac; \
112: case $$flg in \
113: *$$target_option*) has_opt=yes; break;; \
114: esac; \
115: done; \
116: test $$has_opt = yes
117: am__make_dryrun = (target_option=n; $(am__make_running_with_option))
118: am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
119: pkgdatadir = $(datadir)/@PACKAGE@
120: pkgincludedir = $(includedir)/@PACKAGE@
121: pkglibdir = $(libdir)/@PACKAGE@
122: pkglibexecdir = $(libexecdir)/@PACKAGE@
123: am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
124: install_sh_DATA = $(install_sh) -c -m 644
125: install_sh_PROGRAM = $(install_sh) -c
126: install_sh_SCRIPT = $(install_sh) -c
127: INSTALL_HEADER = $(INSTALL_DATA)
128: transform = $(program_transform_name)
129: NORMAL_INSTALL = :
130: PRE_INSTALL = :
131: POST_INSTALL = :
132: NORMAL_UNINSTALL = :
133: PRE_UNINSTALL = :
134: POST_UNINSTALL = :
135: build_triplet = @build@
136: host_triplet = @host@
137: subdir = docs/libcurl
138: ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
139: am__aclocal_m4_deps = $(top_srcdir)/m4/ax_compile_check_sizeof.m4 \
140: $(top_srcdir)/m4/curl-compilers.m4 \
141: $(top_srcdir)/m4/curl-confopts.m4 \
142: $(top_srcdir)/m4/curl-functions.m4 \
143: $(top_srcdir)/m4/curl-openssl.m4 \
144: $(top_srcdir)/m4/curl-override.m4 \
145: $(top_srcdir)/m4/curl-reentrant.m4 $(top_srcdir)/m4/libtool.m4 \
146: $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
147: $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
148: $(top_srcdir)/m4/xc-am-iface.m4 \
149: $(top_srcdir)/m4/xc-cc-check.m4 \
150: $(top_srcdir)/m4/xc-lt-iface.m4 \
151: $(top_srcdir)/m4/xc-translit.m4 \
152: $(top_srcdir)/m4/xc-val-flgs.m4 \
153: $(top_srcdir)/m4/zz40-xc-ovr.m4 \
154: $(top_srcdir)/m4/zz50-xc-ovr.m4 \
155: $(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
156: $(top_srcdir)/configure.ac
157: am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
158: $(ACLOCAL_M4)
159: DIST_COMMON = $(srcdir)/Makefile.am $(dist_m4macro_DATA) \
160: $(am__DIST_COMMON)
161: mkinstalldirs = $(install_sh) -d
162: CONFIG_HEADER = $(top_builddir)/lib/curl_config.h
163: CONFIG_CLEAN_FILES =
164: CONFIG_CLEAN_VPATH_FILES =
165: AM_V_P = $(am__v_P_@AM_V@)
166: am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
167: am__v_P_0 = false
168: am__v_P_1 = :
169: AM_V_GEN = $(am__v_GEN_@AM_V@)
170: am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
171: am__v_GEN_0 = @echo " GEN " $@;
172: am__v_GEN_1 =
173: AM_V_at = $(am__v_at_@AM_V@)
174: am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
175: am__v_at_0 = @
176: am__v_at_1 =
177: depcomp =
178: am__maybe_remake_depfiles =
179: SOURCES =
180: DIST_SOURCES =
181: RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
182: ctags-recursive dvi-recursive html-recursive info-recursive \
183: install-data-recursive install-dvi-recursive \
184: install-exec-recursive install-html-recursive \
185: install-info-recursive install-pdf-recursive \
186: install-ps-recursive install-recursive installcheck-recursive \
187: installdirs-recursive pdf-recursive ps-recursive \
188: tags-recursive uninstall-recursive
189: am__can_run_installinfo = \
190: case $$AM_UPDATE_INFO_DIR in \
191: n|no|NO) false;; \
192: *) (install-info --version) >/dev/null 2>&1;; \
193: esac
194: am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
195: am__vpath_adj = case $$p in \
196: $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
197: *) f=$$p;; \
198: esac;
199: am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
200: am__install_max = 40
201: am__nobase_strip_setup = \
202: srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
203: am__nobase_strip = \
204: for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
205: am__nobase_list = $(am__nobase_strip_setup); \
206: for p in $$list; do echo "$$p $$p"; done | \
207: sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
208: $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
209: if (++n[$$2] == $(am__install_max)) \
210: { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
211: END { for (dir in files) print dir, files[dir] }'
212: am__base_list = \
213: sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
214: sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
215: am__uninstall_files_from_dir = { \
216: test -z "$$files" \
217: || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
218: || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
219: $(am__cd) "$$dir" && rm -f $$files; }; \
220: }
221: man3dir = $(mandir)/man3
222: am__installdirs = "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"
223: MANS = $(man_MANS)
224: DATA = $(dist_m4macro_DATA)
225: RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
226: distclean-recursive maintainer-clean-recursive
227: am__recursive_targets = \
228: $(RECURSIVE_TARGETS) \
229: $(RECURSIVE_CLEAN_TARGETS) \
230: $(am__extra_recursive_targets)
231: AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
232: check recheck distdir distdir-am
233: am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
234: # Read a list of newline-separated strings from the standard input,
235: # and print each of them once, without duplicates. Input order is
236: # *not* preserved.
237: am__uniquify_input = $(AWK) '\
238: BEGIN { nonempty = 0; } \
239: { items[$$0] = 1; nonempty = 1; } \
240: END { if (nonempty) { for (i in items) print i; }; } \
241: '
242: # Make sure the list of sources is unique. This is necessary because,
243: # e.g., the same source file might be shared among _SOURCES variables
244: # for different programs/libraries.
245: am__define_uniq_tagged_files = \
246: list='$(am__tagged_files)'; \
247: unique=`for i in $$list; do \
248: if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
249: done | $(am__uniquify_input)`
250: ETAGS = etags
251: CTAGS = ctags
252: am__tty_colors_dummy = \
253: mgn= red= grn= lgn= blu= brg= std=; \
254: am__color_tests=no
255: am__tty_colors = { \
256: $(am__tty_colors_dummy); \
257: if test "X$(AM_COLOR_TESTS)" = Xno; then \
258: am__color_tests=no; \
259: elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
260: am__color_tests=yes; \
261: elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
262: am__color_tests=yes; \
263: fi; \
264: if test $$am__color_tests = yes; then \
265: red='[0;31m'; \
266: grn='[0;32m'; \
267: lgn='[1;32m'; \
268: blu='[1;34m'; \
269: mgn='[0;35m'; \
270: brg='[1m'; \
271: std='[m'; \
272: fi; \
273: }
274: am__recheck_rx = ^[ ]*:recheck:[ ]*
275: am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
276: am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
277: # A command that, given a newline-separated list of test names on the
278: # standard input, print the name of the tests that are to be re-run
279: # upon "make recheck".
280: am__list_recheck_tests = $(AWK) '{ \
281: recheck = 1; \
282: while ((rc = (getline line < ($$0 ".trs"))) != 0) \
283: { \
284: if (rc < 0) \
285: { \
286: if ((getline line2 < ($$0 ".log")) < 0) \
287: recheck = 0; \
288: break; \
289: } \
290: else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
291: { \
292: recheck = 0; \
293: break; \
294: } \
295: else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
296: { \
297: break; \
298: } \
299: }; \
300: if (recheck) \
301: print $$0; \
302: close ($$0 ".trs"); \
303: close ($$0 ".log"); \
304: }'
305: # A command that, given a newline-separated list of test names on the
306: # standard input, create the global log from their .trs and .log files.
307: am__create_global_log = $(AWK) ' \
308: function fatal(msg) \
309: { \
310: print "fatal: making $@: " msg | "cat >&2"; \
311: exit 1; \
312: } \
313: function rst_section(header) \
314: { \
315: print header; \
316: len = length(header); \
317: for (i = 1; i <= len; i = i + 1) \
318: printf "="; \
319: printf "\n\n"; \
320: } \
321: { \
322: copy_in_global_log = 1; \
323: global_test_result = "RUN"; \
324: while ((rc = (getline line < ($$0 ".trs"))) != 0) \
325: { \
326: if (rc < 0) \
327: fatal("failed to read from " $$0 ".trs"); \
328: if (line ~ /$(am__global_test_result_rx)/) \
329: { \
330: sub("$(am__global_test_result_rx)", "", line); \
331: sub("[ ]*$$", "", line); \
332: global_test_result = line; \
333: } \
334: else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
335: copy_in_global_log = 0; \
336: }; \
337: if (copy_in_global_log) \
338: { \
339: rst_section(global_test_result ": " $$0); \
340: while ((rc = (getline line < ($$0 ".log"))) != 0) \
341: { \
342: if (rc < 0) \
343: fatal("failed to read from " $$0 ".log"); \
344: print line; \
345: }; \
346: printf "\n"; \
347: }; \
348: close ($$0 ".trs"); \
349: close ($$0 ".log"); \
350: }'
351: # Restructured Text title.
352: am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
353: # Solaris 10 'make', and several other traditional 'make' implementations,
354: # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
355: # by disabling -e (using the XSI extension "set +e") if it's set.
356: am__sh_e_setup = case $$- in *e*) set +e;; esac
357: # Default flags passed to test drivers.
358: am__common_driver_flags = \
359: --color-tests "$$am__color_tests" \
360: --enable-hard-errors "$$am__enable_hard_errors" \
361: --expect-failure "$$am__expect_failure"
362: # To be inserted before the command running the test. Creates the
363: # directory for the log if needed. Stores in $dir the directory
364: # containing $f, in $tst the test, in $log the log. Executes the
365: # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
366: # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
367: # will run the test scripts (or their associated LOG_COMPILER, if
368: # thy have one).
369: am__check_pre = \
370: $(am__sh_e_setup); \
371: $(am__vpath_adj_setup) $(am__vpath_adj) \
372: $(am__tty_colors); \
373: srcdir=$(srcdir); export srcdir; \
374: case "$@" in \
375: */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
376: *) am__odir=.;; \
377: esac; \
378: test "x$$am__odir" = x"." || test -d "$$am__odir" \
379: || $(MKDIR_P) "$$am__odir" || exit $$?; \
380: if test -f "./$$f"; then dir=./; \
381: elif test -f "$$f"; then dir=; \
382: else dir="$(srcdir)/"; fi; \
383: tst=$$dir$$f; log='$@'; \
384: if test -n '$(DISABLE_HARD_ERRORS)'; then \
385: am__enable_hard_errors=no; \
386: else \
387: am__enable_hard_errors=yes; \
388: fi; \
389: case " $(XFAIL_TESTS) " in \
390: *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
391: am__expect_failure=yes;; \
392: *) \
393: am__expect_failure=no;; \
394: esac; \
395: $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
396: # A shell command to get the names of the tests scripts with any registered
397: # extension removed (i.e., equivalently, the names of the test logs, with
398: # the '.log' extension removed). The result is saved in the shell variable
399: # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
400: # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
401: # since that might cause problem with VPATH rewrites for suffix-less tests.
402: # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
403: am__set_TESTS_bases = \
404: bases='$(TEST_LOGS)'; \
405: bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
406: bases=`echo $$bases`
407: RECHECK_LOGS = $(TEST_LOGS)
408: TEST_SUITE_LOG = test-suite.log
409: TEST_EXTENSIONS = @EXEEXT@ .test
410: LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
411: LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
412: am__set_b = \
413: case '$@' in \
414: */*) \
415: case '$*' in \
416: */*) b='$*';; \
417: *) b=`echo '$@' | sed 's/\.log$$//'`; \
418: esac;; \
419: *) \
420: b='$*';; \
421: esac
422: am__test_logs1 = $(TESTS:=.log)
423: am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
424: TEST_LOGS = $(am__test_logs2:.test.log=.log)
425: TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
426: TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
427: $(TEST_LOG_FLAGS)
428: DIST_SUBDIRS = $(SUBDIRS)
429: am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.inc \
430: $(top_srcdir)/test-driver
431: DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
432: am__relativize = \
433: dir0=`pwd`; \
434: sed_first='s,^\([^/]*\)/.*$$,\1,'; \
435: sed_rest='s,^[^/]*/*,,'; \
436: sed_last='s,^.*/\([^/]*\)$$,\1,'; \
437: sed_butlast='s,/*[^/]*$$,,'; \
438: while test -n "$$dir1"; do \
439: first=`echo "$$dir1" | sed -e "$$sed_first"`; \
440: if test "$$first" != "."; then \
441: if test "$$first" = ".."; then \
442: dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
443: dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
444: else \
445: first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
446: if test "$$first2" = "$$first"; then \
447: dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
448: else \
449: dir2="../$$dir2"; \
450: fi; \
451: dir0="$$dir0"/"$$first"; \
452: fi; \
453: fi; \
454: dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
455: done; \
456: reldir="$$dir2"
457: ACLOCAL = @ACLOCAL@
458: AMTAR = @AMTAR@
459: AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
460: AR = @AR@
461: AR_FLAGS = @AR_FLAGS@
462: AS = @AS@
463: AUTOCONF = @AUTOCONF@
464: AUTOHEADER = @AUTOHEADER@
465: AUTOMAKE = @AUTOMAKE@
466: AWK = @AWK@
467: BLANK_AT_MAKETIME = @BLANK_AT_MAKETIME@
468: CC = @CC@
469: CCDEPMODE = @CCDEPMODE@
470: CFLAGS = @CFLAGS@
471: CFLAG_CURL_SYMBOL_HIDING = @CFLAG_CURL_SYMBOL_HIDING@
472: CONFIGURE_OPTIONS = @CONFIGURE_OPTIONS@
473: CPP = @CPP@
474: CPPFLAGS = @CPPFLAGS@
475: CPPFLAG_CURL_STATICLIB = @CPPFLAG_CURL_STATICLIB@
476: CURLVERSION = @CURLVERSION@
477: CURL_CA_BUNDLE = @CURL_CA_BUNDLE@
478: CURL_CFLAG_EXTRAS = @CURL_CFLAG_EXTRAS@
479: CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
480: CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
481: CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
482: CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
483: CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
484: CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
485: CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
486: CURL_DISABLE_LDAPS = @CURL_DISABLE_LDAPS@
487: CURL_DISABLE_POP3 = @CURL_DISABLE_POP3@
488: CURL_DISABLE_PROXY = @CURL_DISABLE_PROXY@
489: CURL_DISABLE_RTSP = @CURL_DISABLE_RTSP@
490: CURL_DISABLE_SMB = @CURL_DISABLE_SMB@
491: CURL_DISABLE_SMTP = @CURL_DISABLE_SMTP@
492: CURL_DISABLE_TELNET = @CURL_DISABLE_TELNET@
493: CURL_DISABLE_TFTP = @CURL_DISABLE_TFTP@
494: CURL_ENABLE_MQTT = @CURL_ENABLE_MQTT@
495: CURL_LT_SHLIB_VERSIONED_FLAVOUR = @CURL_LT_SHLIB_VERSIONED_FLAVOUR@
496: CURL_NETWORK_AND_TIME_LIBS = @CURL_NETWORK_AND_TIME_LIBS@
497: CURL_NETWORK_LIBS = @CURL_NETWORK_LIBS@
498: CURL_WITH_MULTI_SSL = @CURL_WITH_MULTI_SSL@
499: CYGPATH_W = @CYGPATH_W@
500: DEFAULT_SSL_BACKEND = @DEFAULT_SSL_BACKEND@
501: DEFS = @DEFS@
502: DEPDIR = @DEPDIR@
503: DLLTOOL = @DLLTOOL@
504: DSYMUTIL = @DSYMUTIL@
505: DUMPBIN = @DUMPBIN@
506: ECHO_C = @ECHO_C@
507: ECHO_N = @ECHO_N@
508: ECHO_T = @ECHO_T@
509: EGREP = @EGREP@
510: ENABLE_SHARED = @ENABLE_SHARED@
511: ENABLE_STATIC = @ENABLE_STATIC@
512: EXEEXT = @EXEEXT@
513: FGREP = @FGREP@
514: FISH_FUNCTIONS_DIR = @FISH_FUNCTIONS_DIR@
515: GCOV = @GCOV@
516: GREP = @GREP@
517: HAVE_BROTLI = @HAVE_BROTLI@
518: HAVE_GNUTLS_SRP = @HAVE_GNUTLS_SRP@
519: HAVE_LDAP_SSL = @HAVE_LDAP_SSL@
520: HAVE_LIBZ = @HAVE_LIBZ@
521: HAVE_OPENSSL_SRP = @HAVE_OPENSSL_SRP@
522: HAVE_PROTO_BSDSOCKET_H = @HAVE_PROTO_BSDSOCKET_H@
523: IDN_ENABLED = @IDN_ENABLED@
524: INSTALL = @INSTALL@
525: INSTALL_DATA = @INSTALL_DATA@
526: INSTALL_PROGRAM = @INSTALL_PROGRAM@
527: INSTALL_SCRIPT = @INSTALL_SCRIPT@
528: INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
529: IPV6_ENABLED = @IPV6_ENABLED@
530: LCOV = @LCOV@
531: LD = @LD@
532: LDFLAGS = @LDFLAGS@
533: LIBCURL_LIBS = @LIBCURL_LIBS@
534: LIBMETALINK_CPPFLAGS = @LIBMETALINK_CPPFLAGS@
535: LIBMETALINK_LDFLAGS = @LIBMETALINK_LDFLAGS@
536: LIBMETALINK_LIBS = @LIBMETALINK_LIBS@
537: LIBOBJS = @LIBOBJS@
538: LIBS = @LIBS@
539: LIBTOOL = @LIBTOOL@
540: LIPO = @LIPO@
541: LN_S = @LN_S@
542: LTLIBOBJS = @LTLIBOBJS@
543: LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
544: MAINT = @MAINT@
545: MAKEINFO = @MAKEINFO@
546: MANIFEST_TOOL = @MANIFEST_TOOL@
547: MANOPT = @MANOPT@
548: MKDIR_P = @MKDIR_P@
549: NM = @NM@
550: NMEDIT = @NMEDIT@
551: NROFF = @NROFF@
552: NSS_LIBS = @NSS_LIBS@
553: OBJDUMP = @OBJDUMP@
554: OBJEXT = @OBJEXT@
555: OTOOL = @OTOOL@
556: OTOOL64 = @OTOOL64@
557: PACKAGE = @PACKAGE@
558: PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
559: PACKAGE_NAME = @PACKAGE_NAME@
560: PACKAGE_STRING = @PACKAGE_STRING@
561: PACKAGE_TARNAME = @PACKAGE_TARNAME@
562: PACKAGE_URL = @PACKAGE_URL@
563: PACKAGE_VERSION = @PACKAGE_VERSION@
564: PATH_SEPARATOR = @PATH_SEPARATOR@
565: PERL = @PERL@
566: PKGADD_NAME = @PKGADD_NAME@
567: PKGADD_PKG = @PKGADD_PKG@
568: PKGADD_VENDOR = @PKGADD_VENDOR@
569: PKGCONFIG = @PKGCONFIG@
570: RANDOM_FILE = @RANDOM_FILE@
571: RANLIB = @RANLIB@
572: REQUIRE_LIB_DEPS = @REQUIRE_LIB_DEPS@
573: SED = @SED@
574: SET_MAKE = @SET_MAKE@
575: SHELL = @SHELL@
576: SSL_BACKENDS = @SSL_BACKENDS@
577: SSL_ENABLED = @SSL_ENABLED@
578: SSL_LIBS = @SSL_LIBS@
579: STRIP = @STRIP@
580: SUPPORT_FEATURES = @SUPPORT_FEATURES@
581: SUPPORT_PROTOCOLS = @SUPPORT_PROTOCOLS@
582: USE_ARES = @USE_ARES@
583: USE_BEARSSL = @USE_BEARSSL@
584: USE_GNUTLS = @USE_GNUTLS@
585: USE_GNUTLS_NETTLE = @USE_GNUTLS_NETTLE@
586: USE_LIBRTMP = @USE_LIBRTMP@
587: USE_LIBSSH = @USE_LIBSSH@
588: USE_LIBSSH2 = @USE_LIBSSH2@
589: USE_MBEDTLS = @USE_MBEDTLS@
590: USE_MESALINK = @USE_MESALINK@
591: USE_NGHTTP2 = @USE_NGHTTP2@
592: USE_NGHTTP3 = @USE_NGHTTP3@
593: USE_NGTCP2 = @USE_NGTCP2@
594: USE_NGTCP2_CRYPTO_GNUTLS = @USE_NGTCP2_CRYPTO_GNUTLS@
595: USE_NGTCP2_CRYPTO_OPENSSL = @USE_NGTCP2_CRYPTO_OPENSSL@
596: USE_NSS = @USE_NSS@
597: USE_OPENLDAP = @USE_OPENLDAP@
598: USE_QUICHE = @USE_QUICHE@
599: USE_SCHANNEL = @USE_SCHANNEL@
600: USE_SECTRANSP = @USE_SECTRANSP@
601: USE_UNIX_SOCKETS = @USE_UNIX_SOCKETS@
602: USE_WINDOWS_SSPI = @USE_WINDOWS_SSPI@
603: USE_WOLFSSH = @USE_WOLFSSH@
604: USE_WOLFSSL = @USE_WOLFSSL@
605: VERSION = @VERSION@
606: VERSIONNUM = @VERSIONNUM@
607: ZLIB_LIBS = @ZLIB_LIBS@
608: ZSH_FUNCTIONS_DIR = @ZSH_FUNCTIONS_DIR@
609: abs_builddir = @abs_builddir@
610: abs_srcdir = @abs_srcdir@
611: abs_top_builddir = @abs_top_builddir@
612: abs_top_srcdir = @abs_top_srcdir@
613: ac_ct_AR = @ac_ct_AR@
614: ac_ct_CC = @ac_ct_CC@
615: ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
616: am__include = @am__include@
617: am__leading_dot = @am__leading_dot@
618: am__quote = @am__quote@
619: am__tar = @am__tar@
620: am__untar = @am__untar@
621: bindir = @bindir@
622: build = @build@
623: build_alias = @build_alias@
624: build_cpu = @build_cpu@
625: build_os = @build_os@
626: build_vendor = @build_vendor@
627: builddir = @builddir@
628: datadir = @datadir@
629: datarootdir = @datarootdir@
630: docdir = @docdir@
631: dvidir = @dvidir@
632: exec_prefix = @exec_prefix@
633: host = @host@
634: host_alias = @host_alias@
635: host_cpu = @host_cpu@
636: host_os = @host_os@
637: host_vendor = @host_vendor@
638: htmldir = @htmldir@
639: includedir = @includedir@
640: infodir = @infodir@
641: install_sh = @install_sh@
642: libdir = @libdir@
643: libexecdir = @libexecdir@
644: libext = @libext@
645: localedir = @localedir@
646: localstatedir = @localstatedir@
647: mandir = @mandir@
648: mkdir_p = @mkdir_p@
649: oldincludedir = @oldincludedir@
650: pdfdir = @pdfdir@
651: prefix = @prefix@
652: program_transform_name = @program_transform_name@
653: psdir = @psdir@
654: runstatedir = @runstatedir@
655: sbindir = @sbindir@
656: sharedstatedir = @sharedstatedir@
657: srcdir = @srcdir@
658: subdirs = @subdirs@
659: sysconfdir = @sysconfdir@
660: target_alias = @target_alias@
661: top_build_prefix = @top_build_prefix@
662: top_builddir = @top_builddir@
663: top_srcdir = @top_srcdir@
664: AUTOMAKE_OPTIONS = foreign no-dependencies
665: SUBDIRS = opts
666: man_MANS = \
667: curl_easy_cleanup.3 \
668: curl_easy_duphandle.3 \
669: curl_easy_escape.3 \
670: curl_easy_getinfo.3 \
671: curl_easy_init.3 \
672: curl_easy_pause.3 \
673: curl_easy_perform.3 \
674: curl_easy_recv.3 \
675: curl_easy_reset.3 \
676: curl_easy_send.3 \
677: curl_easy_setopt.3 \
678: curl_easy_strerror.3 \
679: curl_easy_unescape.3 \
680: curl_easy_upkeep.3 \
681: curl_escape.3 \
682: curl_formadd.3 \
683: curl_formfree.3 \
684: curl_formget.3 \
685: curl_free.3 \
686: curl_getdate.3 \
687: curl_getenv.3 \
688: curl_global_cleanup.3 \
689: curl_global_init.3 \
690: curl_global_init_mem.3 \
691: curl_global_sslset.3 \
692: curl_mime_addpart.3 \
693: curl_mime_data.3 \
694: curl_mime_data_cb.3 \
695: curl_mime_encoder.3 \
696: curl_mime_filedata.3 \
697: curl_mime_filename.3 \
698: curl_mime_free.3 \
699: curl_mime_headers.3 \
700: curl_mime_init.3 \
701: curl_mime_name.3 \
702: curl_mime_subparts.3 \
703: curl_mime_type.3 \
704: curl_mprintf.3 \
705: curl_multi_add_handle.3 \
706: curl_multi_assign.3 \
707: curl_multi_cleanup.3 \
708: curl_multi_fdset.3 \
709: curl_multi_info_read.3 \
710: curl_multi_init.3 \
711: curl_multi_perform.3 \
712: curl_multi_poll.3 \
713: curl_multi_remove_handle.3 \
714: curl_multi_setopt.3 \
715: curl_multi_socket.3 \
716: curl_multi_socket_action.3 \
717: curl_multi_socket_all.3 \
718: curl_multi_strerror.3 \
719: curl_multi_timeout.3 \
720: curl_multi_wakeup.3 \
721: curl_multi_wait.3 \
722: curl_share_cleanup.3 \
723: curl_share_init.3 \
724: curl_share_setopt.3 \
725: curl_share_strerror.3 \
726: curl_slist_append.3 \
727: curl_slist_free_all.3 \
728: curl_strequal.3 \
729: curl_strnequal.3 \
730: curl_unescape.3 \
731: curl_url.3 \
732: curl_url_cleanup.3 \
733: curl_url_dup.3 \
734: curl_url_get.3 \
735: curl_url_set.3 \
736: curl_version.3 \
737: curl_version_info.3 \
738: libcurl-easy.3 \
739: libcurl-env.3 \
740: libcurl-errors.3 \
741: libcurl-multi.3 \
742: libcurl-security.3 \
743: libcurl-share.3 \
744: libcurl-symbols.3 \
745: libcurl-thread.3 \
746: libcurl-tutorial.3 \
747: libcurl-url.3 \
748: libcurl.3
749:
750: man_DISTMANS = $(man_MANS:.3=.3.dist)
751: HTMLPAGES = $(man_MANS:.3=.html)
752: PDFPAGES = $(man_MANS:.3=.pdf)
753: m4macrodir = $(datadir)/aclocal
754: dist_m4macro_DATA = libcurl.m4
755: CLEANFILES = $(HTMLPAGES) $(PDFPAGES) $(TESTS) $(man_DISTMANS) \
756: libcurl-symbols.3
757:
758: EXTRA_DIST = $(man_MANS) ABI symbols-in-versions symbols.pl \
759: mksymbolsmanpage.pl CMakeLists.txt
760:
761: MAN2HTML = roffit --mandir=. $< >$@
762: SUFFIXES = .3 .html
763:
764: # Make sure each option man page is referenced in the main man page
765: TESTS = check-easy check-multi
766: LOG_COMPILER = $(PERL)
767: # The test fails if the log file contains any text
768: AM_LOG_FLAGS = -p -e 'die "$$_" if ($$_);'
769: all: all-recursive
770:
771: .SUFFIXES:
772: .SUFFIXES: .3 .html .log .pdf .test .test$(EXEEXT) .trs
773: $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/Makefile.inc $(am__configure_deps)
774: @for dep in $?; do \
775: case '$(am__configure_deps)' in \
776: *$$dep*) \
777: ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
778: && { if test -f $@; then exit 0; else break; fi; }; \
779: exit 1;; \
780: esac; \
781: done; \
782: echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/libcurl/Makefile'; \
783: $(am__cd) $(top_srcdir) && \
784: $(AUTOMAKE) --foreign docs/libcurl/Makefile
785: Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
786: @case '$?' in \
787: *config.status*) \
788: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
789: *) \
790: echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
791: cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
792: esac;
793: $(srcdir)/Makefile.inc $(am__empty):
794:
795: $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
796: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
797:
798: $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
799: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
800: $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
801: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
802: $(am__aclocal_m4_deps):
803:
804: mostlyclean-libtool:
805: -rm -f *.lo
806:
807: clean-libtool:
808: -rm -rf .libs _libs
809: install-man3: $(man_MANS)
810: @$(NORMAL_INSTALL)
811: @list1=''; \
812: list2='$(man_MANS)'; \
813: test -n "$(man3dir)" \
814: && test -n "`echo $$list1$$list2`" \
815: || exit 0; \
816: echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
817: $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
818: { for i in $$list1; do echo "$$i"; done; \
819: if test -n "$$list2"; then \
820: for i in $$list2; do echo "$$i"; done \
821: | sed -n '/\.3[a-z]*$$/p'; \
822: fi; \
823: } | while read p; do \
824: if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
825: echo "$$d$$p"; echo "$$p"; \
826: done | \
827: sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
828: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
829: sed 'N;N;s,\n, ,g' | { \
830: list=; while read file base inst; do \
831: if test "$$base" = "$$inst"; then list="$$list $$file"; else \
832: echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
833: $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
834: fi; \
835: done; \
836: for i in $$list; do echo "$$i"; done | $(am__base_list) | \
837: while read files; do \
838: test -z "$$files" || { \
839: echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
840: $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
841: done; }
842:
843: uninstall-man3:
844: @$(NORMAL_UNINSTALL)
845: @list=''; test -n "$(man3dir)" || exit 0; \
846: files=`{ for i in $$list; do echo "$$i"; done; \
847: l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
848: sed -n '/\.3[a-z]*$$/p'; \
849: } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
850: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
851: dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
852: install-dist_m4macroDATA: $(dist_m4macro_DATA)
853: @$(NORMAL_INSTALL)
854: @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
855: if test -n "$$list"; then \
856: echo " $(MKDIR_P) '$(DESTDIR)$(m4macrodir)'"; \
857: $(MKDIR_P) "$(DESTDIR)$(m4macrodir)" || exit 1; \
858: fi; \
859: for p in $$list; do \
860: if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
861: echo "$$d$$p"; \
862: done | $(am__base_list) | \
863: while read files; do \
864: echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(m4macrodir)'"; \
865: $(INSTALL_DATA) $$files "$(DESTDIR)$(m4macrodir)" || exit $$?; \
866: done
867:
868: uninstall-dist_m4macroDATA:
869: @$(NORMAL_UNINSTALL)
870: @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
871: files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
872: dir='$(DESTDIR)$(m4macrodir)'; $(am__uninstall_files_from_dir)
873:
874: # This directory's subdirectories are mostly independent; you can cd
875: # into them and run 'make' without going through this Makefile.
876: # To change the values of 'make' variables: instead of editing Makefiles,
877: # (1) if the variable is set in 'config.status', edit 'config.status'
878: # (which will cause the Makefiles to be regenerated when you run 'make');
879: # (2) otherwise, pass the desired values on the 'make' command line.
880: $(am__recursive_targets):
881: @fail=; \
882: if $(am__make_keepgoing); then \
883: failcom='fail=yes'; \
884: else \
885: failcom='exit 1'; \
886: fi; \
887: dot_seen=no; \
888: target=`echo $@ | sed s/-recursive//`; \
889: case "$@" in \
890: distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
891: *) list='$(SUBDIRS)' ;; \
892: esac; \
893: for subdir in $$list; do \
894: echo "Making $$target in $$subdir"; \
895: if test "$$subdir" = "."; then \
896: dot_seen=yes; \
897: local_target="$$target-am"; \
898: else \
899: local_target="$$target"; \
900: fi; \
901: ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
902: || eval $$failcom; \
903: done; \
904: if test "$$dot_seen" = "no"; then \
905: $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
906: fi; test -z "$$fail"
907:
908: ID: $(am__tagged_files)
909: $(am__define_uniq_tagged_files); mkid -fID $$unique
910: tags: tags-recursive
911: TAGS: tags
912:
913: tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
914: set x; \
915: here=`pwd`; \
916: if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
917: include_option=--etags-include; \
918: empty_fix=.; \
919: else \
920: include_option=--include; \
921: empty_fix=; \
922: fi; \
923: list='$(SUBDIRS)'; for subdir in $$list; do \
924: if test "$$subdir" = .; then :; else \
925: test ! -f $$subdir/TAGS || \
926: set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
927: fi; \
928: done; \
929: $(am__define_uniq_tagged_files); \
930: shift; \
931: if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
932: test -n "$$unique" || unique=$$empty_fix; \
933: if test $$# -gt 0; then \
934: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
935: "$$@" $$unique; \
936: else \
937: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
938: $$unique; \
939: fi; \
940: fi
941: ctags: ctags-recursive
942:
943: CTAGS: ctags
944: ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
945: $(am__define_uniq_tagged_files); \
946: test -z "$(CTAGS_ARGS)$$unique" \
947: || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
948: $$unique
949:
950: GTAGS:
951: here=`$(am__cd) $(top_builddir) && pwd` \
952: && $(am__cd) $(top_srcdir) \
953: && gtags -i $(GTAGS_ARGS) "$$here"
954: cscopelist: cscopelist-recursive
955:
956: cscopelist-am: $(am__tagged_files)
957: list='$(am__tagged_files)'; \
958: case "$(srcdir)" in \
959: [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
960: *) sdir=$(subdir)/$(srcdir) ;; \
961: esac; \
962: for i in $$list; do \
963: if test -f "$$i"; then \
964: echo "$(subdir)/$$i"; \
965: else \
966: echo "$$sdir/$$i"; \
967: fi; \
968: done >> $(top_builddir)/cscope.files
969:
970: distclean-tags:
971: -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
972:
973: # Recover from deleted '.trs' file; this should ensure that
974: # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
975: # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
976: # to avoid problems with "make -n".
977: .log.trs:
978: rm -f $< $@
979: $(MAKE) $(AM_MAKEFLAGS) $<
980:
981: # Leading 'am--fnord' is there to ensure the list of targets does not
982: # expand to empty, as could happen e.g. with make check TESTS=''.
983: am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
984: am--force-recheck:
985: @:
986:
987: $(TEST_SUITE_LOG): $(TEST_LOGS)
988: @$(am__set_TESTS_bases); \
989: am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
990: redo_bases=`for i in $$bases; do \
991: am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
992: done`; \
993: if test -n "$$redo_bases"; then \
994: redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
995: redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
996: if $(am__make_dryrun); then :; else \
997: rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
998: fi; \
999: fi; \
1000: if test -n "$$am__remaking_logs"; then \
1001: echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1002: "recursion detected" >&2; \
1003: elif test -n "$$redo_logs"; then \
1004: am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1005: fi; \
1006: if $(am__make_dryrun); then :; else \
1007: st=0; \
1008: errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1009: for i in $$redo_bases; do \
1010: test -f $$i.trs && test -r $$i.trs \
1011: || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1012: test -f $$i.log && test -r $$i.log \
1013: || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1014: done; \
1015: test $$st -eq 0 || exit 1; \
1016: fi
1017: @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1018: ws='[ ]'; \
1019: results=`for b in $$bases; do echo $$b.trs; done`; \
1020: test -n "$$results" || results=/dev/null; \
1021: all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1022: pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1023: fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1024: skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1025: xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1026: xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1027: error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1028: if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1029: success=true; \
1030: else \
1031: success=false; \
1032: fi; \
1033: br='==================='; br=$$br$$br$$br$$br; \
1034: result_count () \
1035: { \
1036: if test x"$$1" = x"--maybe-color"; then \
1037: maybe_colorize=yes; \
1038: elif test x"$$1" = x"--no-color"; then \
1039: maybe_colorize=no; \
1040: else \
1041: echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1042: fi; \
1043: shift; \
1044: desc=$$1 count=$$2; \
1045: if test $$maybe_colorize = yes && test $$count -gt 0; then \
1046: color_start=$$3 color_end=$$std; \
1047: else \
1048: color_start= color_end=; \
1049: fi; \
1050: echo "$${color_start}# $$desc $$count$${color_end}"; \
1051: }; \
1052: create_testsuite_report () \
1053: { \
1054: result_count $$1 "TOTAL:" $$all "$$brg"; \
1055: result_count $$1 "PASS: " $$pass "$$grn"; \
1056: result_count $$1 "SKIP: " $$skip "$$blu"; \
1057: result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1058: result_count $$1 "FAIL: " $$fail "$$red"; \
1059: result_count $$1 "XPASS:" $$xpass "$$red"; \
1060: result_count $$1 "ERROR:" $$error "$$mgn"; \
1061: }; \
1062: { \
1063: echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1064: $(am__rst_title); \
1065: create_testsuite_report --no-color; \
1066: echo; \
1067: echo ".. contents:: :depth: 2"; \
1068: echo; \
1069: for b in $$bases; do echo $$b; done \
1070: | $(am__create_global_log); \
1071: } >$(TEST_SUITE_LOG).tmp || exit 1; \
1072: mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1073: if $$success; then \
1074: col="$$grn"; \
1075: else \
1076: col="$$red"; \
1077: test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1078: fi; \
1079: echo "$${col}$$br$${std}"; \
1080: echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1081: echo "$${col}$$br$${std}"; \
1082: create_testsuite_report --maybe-color; \
1083: echo "$$col$$br$$std"; \
1084: if $$success; then :; else \
1085: echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1086: if test -n "$(PACKAGE_BUGREPORT)"; then \
1087: echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1088: fi; \
1089: echo "$$col$$br$$std"; \
1090: fi; \
1091: $$success || exit 1
1092:
1093: check-TESTS:
1094: @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1095: @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1096: @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1097: @set +e; $(am__set_TESTS_bases); \
1098: log_list=`for i in $$bases; do echo $$i.log; done`; \
1099: trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1100: log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1101: $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1102: exit $$?;
1103: recheck: all
1104: @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1105: @set +e; $(am__set_TESTS_bases); \
1106: bases=`for i in $$bases; do echo $$i; done \
1107: | $(am__list_recheck_tests)` || exit 1; \
1108: log_list=`for i in $$bases; do echo $$i.log; done`; \
1109: log_list=`echo $$log_list`; \
1110: $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1111: am__force_recheck=am--force-recheck \
1112: TEST_LOGS="$$log_list"; \
1113: exit $$?
1114: check-easy.log: check-easy
1115: @p='check-easy'; \
1116: b='check-easy'; \
1117: $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1118: --log-file $$b.log --trs-file $$b.trs \
1119: $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1120: "$$tst" $(AM_TESTS_FD_REDIRECT)
1121: check-multi.log: check-multi
1122: @p='check-multi'; \
1123: b='check-multi'; \
1124: $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1125: --log-file $$b.log --trs-file $$b.trs \
1126: $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1127: "$$tst" $(AM_TESTS_FD_REDIRECT)
1128: .test.log:
1129: @p='$<'; \
1130: $(am__set_b); \
1131: $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1132: --log-file $$b.log --trs-file $$b.trs \
1133: $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1134: "$$tst" $(AM_TESTS_FD_REDIRECT)
1135: @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1136: @am__EXEEXT_TRUE@ @p='$<'; \
1137: @am__EXEEXT_TRUE@ $(am__set_b); \
1138: @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1139: @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1140: @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1141: @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1142:
1143: distdir: $(BUILT_SOURCES)
1144: $(MAKE) $(AM_MAKEFLAGS) distdir-am
1145:
1146: distdir-am: $(DISTFILES)
1147: @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1148: topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1149: list='$(DISTFILES)'; \
1150: dist_files=`for file in $$list; do echo $$file; done | \
1151: sed -e "s|^$$srcdirstrip/||;t" \
1152: -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1153: case $$dist_files in \
1154: */*) $(MKDIR_P) `echo "$$dist_files" | \
1155: sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1156: sort -u` ;; \
1157: esac; \
1158: for file in $$dist_files; do \
1159: if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1160: if test -d $$d/$$file; then \
1161: dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1162: if test -d "$(distdir)/$$file"; then \
1163: find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1164: fi; \
1165: if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1166: cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1167: find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1168: fi; \
1169: cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1170: else \
1171: test -f "$(distdir)/$$file" \
1172: || cp -p $$d/$$file "$(distdir)/$$file" \
1173: || exit 1; \
1174: fi; \
1175: done
1176: @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1177: if test "$$subdir" = .; then :; else \
1178: $(am__make_dryrun) \
1179: || test -d "$(distdir)/$$subdir" \
1180: || $(MKDIR_P) "$(distdir)/$$subdir" \
1181: || exit 1; \
1182: dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1183: $(am__relativize); \
1184: new_distdir=$$reldir; \
1185: dir1=$$subdir; dir2="$(top_distdir)"; \
1186: $(am__relativize); \
1187: new_top_distdir=$$reldir; \
1188: echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1189: echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1190: ($(am__cd) $$subdir && \
1191: $(MAKE) $(AM_MAKEFLAGS) \
1192: top_distdir="$$new_top_distdir" \
1193: distdir="$$new_distdir" \
1194: am__remove_distdir=: \
1195: am__skip_length_check=: \
1196: am__skip_mode_fix=: \
1197: distdir) \
1198: || exit 1; \
1199: fi; \
1200: done
1201: check-am: all-am
1202: $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1203: check: check-recursive
1204: all-am: Makefile $(MANS) $(DATA)
1205: installdirs: installdirs-recursive
1206: installdirs-am:
1207: for dir in "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"; do \
1208: test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1209: done
1210: install: install-recursive
1211: install-exec: install-exec-recursive
1212: install-data: install-data-recursive
1213: uninstall: uninstall-recursive
1214:
1215: install-am: all-am
1216: @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1217:
1218: installcheck: installcheck-recursive
1219: install-strip:
1220: if test -z '$(STRIP)'; then \
1221: $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1222: install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1223: install; \
1224: else \
1225: $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1226: install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1227: "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1228: fi
1229: mostlyclean-generic:
1230: -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1231: -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1232: -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1233:
1234: clean-generic:
1235: -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1236:
1237: distclean-generic:
1238: -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1239: -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1240:
1241: maintainer-clean-generic:
1242: @echo "This command is intended for maintainers to use"
1243: @echo "it deletes files that may require special tools to rebuild."
1244: clean: clean-recursive
1245:
1246: clean-am: clean-generic clean-libtool mostlyclean-am
1247:
1248: distclean: distclean-recursive
1249: -rm -f Makefile
1250: distclean-am: clean-am distclean-generic distclean-tags
1251:
1252: dvi: dvi-recursive
1253:
1254: dvi-am:
1255:
1256: html-am:
1257:
1258: info: info-recursive
1259:
1260: info-am:
1261:
1262: install-data-am: install-dist_m4macroDATA install-man
1263:
1264: install-dvi: install-dvi-recursive
1265:
1266: install-dvi-am:
1267:
1268: install-exec-am:
1269:
1270: install-html: install-html-recursive
1271:
1272: install-html-am:
1273:
1274: install-info: install-info-recursive
1275:
1276: install-info-am:
1277:
1278: install-man: install-man3
1279:
1280: install-pdf: install-pdf-recursive
1281:
1282: install-pdf-am:
1283:
1284: install-ps: install-ps-recursive
1285:
1286: install-ps-am:
1287:
1288: installcheck-am:
1289:
1290: maintainer-clean: maintainer-clean-recursive
1291: -rm -f Makefile
1292: maintainer-clean-am: distclean-am maintainer-clean-generic
1293:
1294: mostlyclean: mostlyclean-recursive
1295:
1296: mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1297:
1298: pdf-am:
1299:
1300: ps: ps-recursive
1301:
1302: ps-am:
1303:
1304: uninstall-am: uninstall-dist_m4macroDATA uninstall-man
1305:
1306: uninstall-man: uninstall-man3
1307:
1308: .MAKE: $(am__recursive_targets) check-am install-am install-strip
1309:
1310: .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1311: check-TESTS check-am clean clean-generic clean-libtool \
1312: cscopelist-am ctags ctags-am distclean distclean-generic \
1313: distclean-libtool distclean-tags distdir dvi dvi-am html \
1314: html-am info info-am install install-am install-data \
1315: install-data-am install-dist_m4macroDATA install-dvi \
1316: install-dvi-am install-exec install-exec-am install-html \
1317: install-html-am install-info install-info-am install-man \
1318: install-man3 install-pdf install-pdf-am install-ps \
1319: install-ps-am install-strip installcheck installcheck-am \
1320: installdirs installdirs-am maintainer-clean \
1321: maintainer-clean-generic mostlyclean mostlyclean-generic \
1322: mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1323: uninstall uninstall-am uninstall-dist_m4macroDATA \
1324: uninstall-man uninstall-man3
1325:
1326: .PRECIOUS: Makefile
1327:
1328:
1329: libcurl-symbols.3: $(srcdir)/symbols-in-versions $(srcdir)/mksymbolsmanpage.pl
1330: perl $(srcdir)/mksymbolsmanpage.pl < $(srcdir)/symbols-in-versions > $@
1331:
1332: html: $(HTMLPAGES)
1333: cd opts && $(MAKE) html
1334:
1335: .3.html:
1336: $(MAN2HTML)
1337:
1338: pdf: $(PDFPAGES)
1339: cd opts && $(MAKE) pdf
1340:
1341: .3.pdf:
1342: @(foo=`echo $@ | sed -e 's/\.[0-9]$$//g'`; \
1343: groff -Tps -man $< >$$foo.ps; \
1344: ps2pdf $$foo.ps $@; \
1345: rm $$foo.ps; \
1346: echo "converted $< to $@")
1347:
1348: check-easy: $(srcdir)/curl_easy_setopt.3 $(srcdir)/opts/CURLOPT*.3
1349: OPTS="$$(ls $(srcdir)/opts/CURLOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
1350: for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_easy_setopt.3 >/dev/null || echo Missing $$opt; done > $@
1351:
1352: check-multi: $(srcdir)/curl_multi_setopt.3 $(srcdir)/opts/CURLMOPT*.3
1353: OPTS="$$(ls $(srcdir)/opts/CURLMOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
1354: for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_multi_setopt.3 >/dev/null || echo Missing $$opt; done > $@
1355:
1356: # Tell versions [3.59,3.63) of GNU make to not export all variables.
1357: # Otherwise a system limit (for SysV at least) may be exceeded.
1358: .NOEXPORT:
FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>